import { Vector3, Vector2 } from '../../types/Math';
export declare function translateToLocalCoord(params: {
    vector: Vector3;
    globalOffset: Vector3;
}): THREE.Vector3;
export declare function translateToWorldCoord(params: {
    vector: Vector3;
    globalOffset: Vector3;
}): THREE.Vector3;
export declare function toScreenPosition(params: {
    offset2d?: Vector2;
    vector: Vector3;
    globalOffset?: Vector3;
    camera: THREE.Camera;
    canvasWidth: number;
    canvasHeight: number;
}): Vector3;
export declare function serializeVector(vector: THREE.Vector3): string;
export declare function normalizeLine(line: THREE.Line3): string;
